New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
History

Load history item by ID

GET
/api/v1/history/{item_id}

Return a history item's audio and full metadata by ID.

Path Parameters

item_id*Item Id

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the history item was loaded successfully

audio_base64?|

Base64-encoded audio (WAV)

metadata?|

Full history item metadata

message?|

Error message if load failed

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/history/string'
Example Response
{  "success": true,  "audio_base64": "string",  "metadata": {    "id": "h1b2c3d4",    "text": "Welcome to our...",    "full_text": "Welcome to our application.",    "mode": "clone",    "created_at": "2026-01-15T10:30:00Z",    "duration_seconds": 3.2,    "file_size": 102400,    "ref_text": "string",    "voice_id": "string",    "voice_name": "string",    "instruct_text": "string",    "design_id": "string",    "design_name": "string",    "speaker": "string",    "speaker_name": "string"  },  "message": "string"}